/*
 * This file is part of osso-backup
 *
 * Copyright (C) 2005-2006 Nokia Corporation.
 *
 * Contact: Andrey Kochanov <andrey.kochanov@nokia.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef OB_MAIN_WINDOW_H_
#define OB_MAIN_WINDOW_H_

#include <glib-object.h>
#include <gtk/gtkdialog.h>

#include "ob-backend.h"

G_BEGIN_DECLS

typedef struct _ObMainWindow ObMainWindow;

ObMainWindow *ob_main_window_get         (gboolean      startup_dialog);
ObBackend    *ob_main_window_get_backend (ObMainWindow *window);
void          ob_main_window_show        (ObMainWindow *window);
GtkWindow    *ob_main_window_get_window  (ObMainWindow *window);
gboolean      ob_main_window_is_fullscreen (ObMainWindow *window);
G_END_DECLS

#endif /* OB_MAIN_WINDOW_H_ */
